FreezableDriverManagerDataSource (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.test

## Class FreezableDriverManagerDataSource

- java.lang.Object
- - com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
  - - com.mchange.v2.c3p0.impl.IdentityTokenResolvable
    - - com.mchange.v2.c3p0.impl.DriverManagerDataSourceBase
      - - com.mchange.v2.c3p0.test.FreezableDriverManagerDataSource

- All Implemented Interfaces:
    IdentityTokenized, java.io.Serializable, java.sql.Wrapper, javax.naming.Referenceable, javax.sql.CommonDataSource, javax.sql.DataSource

      public final class FreezableDriverManagerDataSource
      extends DriverManagerDataSourceBase
      implements javax.sql.DataSource

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.mchange.v2.c3p0.impl.DriverManagerDataSourceBase

      `description, driverClass, factoryClassLocation, forceUseNamedDriverClass, jdbcUrl, pcs, properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreezableDriverManagerDataSource()`
    `FreezableDriverManagerDataSource(boolean autoregister)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.Connection` | `getConnection()`
    `java.sql.Connection` | `getConnection(java.lang.String username, java.lang.String password)`
    `int` | `getLoginTimeout()`
    `java.io.PrintWriter` | `getLogWriter()`
    `java.lang.String` | `getPassword()`
    `java.lang.String` | `getUser()`
    `boolean` | `isWrapperFor(java.lang.Class<?> iface)`
    `void` | `setJdbcUrl(java.lang.String jdbcUrl)`
    `void` | `setLoginTimeout(int seconds)`
    `void` | `setLogWriter(java.io.PrintWriter out)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setUser(java.lang.String user)`
    `<T> T` | `unwrap(java.lang.Class<T> iface)`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.DriverManagerDataSourceBase

      `addPropertyChangeListener, addPropertyChangeListener, extraToStringInfo, getDescription, getDriverClass, getFactoryClassLocation, getIdentityToken, getJdbcUrl, getParentLogger, getProperties, getPropertyChangeListeners, getPropertyChangeSupport, getReference, isForceUseNamedDriverClass, removePropertyChangeListener, removePropertyChangeListener, setDescription, setDriverClass, setFactoryClassLocation, setForceUseNamedDriverClass, setIdentityToken, setProperties, toString`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.IdentityTokenResolvable

      `doResolve, readResolve, verifyResolve`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `getParentLogger`

- - ### Constructor Detail

    - #### FreezableDriverManagerDataSource

          public FreezableDriverManagerDataSource()

    - #### FreezableDriverManagerDataSource

          public FreezableDriverManagerDataSource(boolean autoregister)

  - ### Method Detail

    - #### getConnection

          public java.sql.Connection getConnection()
                                            throws java.sql.SQLException

      Specified by:
        `getConnection` in interface `javax.sql.DataSource`
      Throws:
        `java.sql.SQLException`

    - #### getConnection

          public java.sql.Connection getConnection(java.lang.String username,
                                                   java.lang.String password)
                                            throws java.sql.SQLException

      Specified by:
        `getConnection` in interface `javax.sql.DataSource`
      Throws:
        `java.sql.SQLException`

    - #### getLogWriter

          public java.io.PrintWriter getLogWriter()
                                           throws java.sql.SQLException

      Specified by:
        `getLogWriter` in interface `javax.sql.CommonDataSource`
      Throws:
        `java.sql.SQLException`

    - #### setLogWriter

          public void setLogWriter(java.io.PrintWriter out)
                            throws java.sql.SQLException

      Specified by:
        `setLogWriter` in interface `javax.sql.CommonDataSource`
      Throws:
        `java.sql.SQLException`

    - #### getLoginTimeout

          public int getLoginTimeout()
                              throws java.sql.SQLException

      Specified by:
        `getLoginTimeout` in interface `javax.sql.CommonDataSource`
      Throws:
        `java.sql.SQLException`

    - #### setLoginTimeout

          public void setLoginTimeout(int seconds)
                               throws java.sql.SQLException

      Specified by:
        `setLoginTimeout` in interface `javax.sql.CommonDataSource`
      Throws:
        `java.sql.SQLException`

    - #### setJdbcUrl

          public void setJdbcUrl(java.lang.String jdbcUrl)

      Overrides:
        `setJdbcUrl` in class `DriverManagerDataSourceBase`

    - #### setUser

          public void setUser(java.lang.String user)

    - #### getUser

          public java.lang.String getUser()

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### getPassword

          public java.lang.String getPassword()

    - #### isWrapperFor

          public boolean isWrapperFor(java.lang.Class<?> iface)
                               throws java.sql.SQLException

      Specified by:
        `isWrapperFor` in interface `java.sql.Wrapper`
      Throws:
        `java.sql.SQLException`

    - #### unwrap

          public <T> T unwrap(java.lang.Class<T> iface)
                       throws java.sql.SQLException

      Specified by:
        `unwrap` in interface `java.sql.Wrapper`
      Throws:
        `java.sql.SQLException`